import request from '@/utils/request'
import { business } from '@/api/index'
import { grain, dict } from '@/api'

//根据分组id查询数据字典
export function dictionaryFun(groupId) {
    return request({
        url: `${dict}/dataDictionary/findByGroupId/${groupId}`,
        method: 'get'
    })
}
//----------------------抽样---------------------------------------

//查询采样
export function checkListCy(data, page) {
    return request({
        url: `${business}/reportinfo/findByPage/${page.page}/${page.size}`,
        method: 'post',
        data: data
    })
}
//新增(保存)采样信息
export function checkSaveCy(data) {
    return request({
        url: `${grain}/reportinfo/save`,
        method: 'post',
        data: data
    })
}
//抽样新增页的检验项目
export function checkProjectCy() {
    return request({
        url: `${grain}/checkstandarditem/getAllInfo`,
        method: 'post'
    })
}
//根据id查看抽样信息
export function checkLookCy(id) {
    return request({
        url: `${grain}/reportinfo/getInfo?reportId=${id}`,
        method: 'get'
    })
}
////更新(保存)抽样信息
export function checkUpdateCy(data) {
    return request({
        url: `${grain}/reportinfo/update`,
        method: 'post',
        data: data
    })
}
//删除抽样信息
export function checkDeleteCy(ids) {
    return request({
        url: `${grain}/reportinfo/delete?reportIds=${ids}`,
        method: 'get'
    })
}
//----------------------检测---------------------------------------
//查询检测
export function checkListJc(data, page) {
    return request({
        url: `${grain}/reportstandard/findByPage/${page.page}/${page.size}`,
        method: 'post',
        data: data
    })
}
//删除检测
export function checkDeleteJc(ids) {
    return request({
        url: `${grain}/reportstandard/delete?stanardIds=${ids}`,
        method: 'get'
    })
}
//新增(保存)检测
export function checkSaveJc(data) {
    return request({
        url: `${grain}/reportstandard/save`,
        method: 'post',
        data: data
    })
}
//根据id查看检测
export function checkLookJc(id) {
    return request({
        url: `${grain}/reportstandard/findById/${id}`,
        method: 'get'
    })
}

//修改（保存）检测
export function checkUpdateJc(data) {
    return request({
        url: `${grain}/reportstandard/update`,
        method: 'post',
        data: data
    })
}

//样品编码的集合
export function allSampleCode() {
    return request({
        url: `${grain}/reportinfo/getAllInfo`,
        method: 'post'
    })
}
//----------------------检测报告---------------------------------------
//查询检测
export function checkListBg(data, page) {
    return request({
        url: `${grain}/reportitem/findByPage/${page.page}/${page.size}`,
        method: 'post',
        data: data
    })
}
//保存检测报告
export function checkSaveBg(data) {
    return request({
        url: `${grain}/reportitem/save`,
        method: 'post',
        data: data
    })
}
//删除检测报告
export function checkDeleteBg(ids) {
    return request({
        url: `${grain}/reportitem/delete?itemIds=${ids}`,
        method: 'get'
    })
}
//根据id查看检测报告
export function checkLookBg(id) {
    return request({
        url: `${grain}/reportitem/findById/${id}`,
        method: 'get'
    })
}
//获取新增页样品编码
export function sampleCodeBg() {
    return request({
        url: `${grain}/reportstandard/getAllInfo`,
        method: 'post'
    })
}
//修改（保存）检测报告
export function checkUpdateBg(data) {
    return request({
        url: `${grain}/reportitem/update`,
        method: 'post',
        data: data
    })
}
//----------------------检测标准---------------------------------------
//查询检测标准
export function checkListBz(data, page) {
    return request({
        url: `${business}/checkstandardinfo/findByPage/${page.page}/${page.size}`,
        method: 'post',
        data: data
    })
}
//新增(保存)检测标准
export function checkSaveBz(data) {
    return request({
        url: `${business}/checkstandardinfo/save`,
        method: 'post',
        data: data
    })
}
//删除检测标准
export function checkDeleteBz(ids) {
    return request({
        url: `${business}/checkstandardinfo/delete?checkstandardId=${ids}`,
        method: 'get'
    })
}
//根据id查看检测标准
export function checkLookBz(checkstandardId) {
    return request({
        url: `${business}/checkstandardinfo/findByIdInfo/${checkstandardId}`,
        method: 'get'
    })
}
//修改（保存）检测标准
export function checkUpdateBz(data) {
    return request({
        url: `${business}/checkstandardinfo/update`,
        method: 'post',
        data: data
    })
}
//启用禁用
export function changeStatus(data) {
    return request({
        url: `${business}/checkstandardinfo/updateIsUsed/${data.id}/${data.status}`,
        method: 'post',
        data: data
    })
}

//----------------------检测项目---------------------------------------
//查询检测项目
export function checkListXm(data, page) {
    return request({
        url: `${business}/checkstandarditem/findByPage/${page.page}/${page.size}`,
        method: 'post',
        data: data
    })
}
//删除检测项目
export function checkDeleteXm(ids) {
    return request({
        url: `${business}/checkstandarditem/delete?itemId=${ids}`,
        method: 'get'
    })
}
//获取标准编码下拉数据或者抽样新增页的检验/判定依据
export function checkCodeXm() {
    return request({
        url: `${business}/checkstandardinfo/getAllInfo`,
        method: 'post'
    })
}
//新增(保存)检测项目
export function checkSaveXm(data) {
    return request({
        url: `${business}/checkstandarditem/save`,
        method: 'post',
        data: data
    })
}
//修改（保存）检测项目
export function checkUpdateXm(data) {
    return request({
        url: `${business}/checkstandarditem/update`,
        method: 'post',
        data: data
    })
}
//根据id查看检测项目
export function checkLookXm(itemId) {
    return request({
        url: `${business}/checkstandarditem/findByItemId/${itemId}`,
        method: 'get'
    })
}

//根据标准分类获取标准编码
export function getAllstandardCode(standardType) {
    return request({
        url: `${business}/checkstandardinfo/getAllstandardCode/${standardType}`,
        method: 'post'
    })
}


//根据标准编码获取标准名称
export function getAllstandardName(standardCode) {
    return request({
        url: `${business}/checkstandardinfo/getAllstandardName/${standardCode}`,
        method: 'post'
    })
}
