import Request from '@/utils/request'
import { User, dict, files } from '@/api/index'
//所属地区字典树
export function AreaDictTree() {
  return Request({
    url: `${dict}/dataDictionary/getUserAreaCodeTree`,
    method: 'get'
  })
}
//天津所属地区字典树
export function AreaDictTreeTianj(code) {
  return Request({
    url: `${User}/area/findCountyQ?code=${code}`,
    method: 'get'
  })
}


//  检验类型
export function testType() {
  return Request({
    url: `${dict}/dataDictionary/getDataTree/${43467}`,
    method: 'get'
  })
}
//  品种
export function varieties() {
  return Request({
    url: `${dict}/dataDictionary/getDataTree/${43469}`,
    method: 'get'
  })
}

//  库及监管品种
export function getPz() {
  return Request({
    url: `${dict}/dataDictionary/getDataGroup?groupId=PM001&pdictCode=11`,
    method: 'get'
  })
}

//  储粮性质
export function natureData() {
  return Request({
    url: `${dict}/dataDictionary/getDataGroupId/KJLYXZ`,
    method: 'get'
  })
}
//  样品名称
export function varietiesData() {
  return Request({
    url: `${dict}/dataDictionary/getDataGroupId/${43471}`,
    method: 'get'
  })
}
//  入库等级
export function storageGradeData() {
  return Request({
    url: `${dict}/dataDictionary/getDataGroupId/${43472}`,
    method: 'get'
  })
}
//  不达标项目
export function unqualifiedItemsData() {
  return Request({
    url: `${dict}/dataDictionary/getDataGroupId/${43473}`,
    method: 'get'
  })
}
// 旗县
export function county(code) {
  return Request({
    url: `${dict}/dataDictionary/getDataDictionary/AREA_CODE/${code}`,
    method: 'get'
  })
}
//  学历
export function degree() {
  return Request({
    url: `${dict}/dataDictionary/getDataGroupId/${7682}`,
    method: 'get'
  })
}
//  职称
export function jobTitle() {
  return Request({
    url: `${dict}/dataDictionary/getDataGroupId/${7724}`,
    method: 'get'
  })
}
// 组织机构树
export function treeOrg() {
  return Request({
    url: `${User}/org/tree`,
    method: 'post',
  })
}
// 查询某数据字典下的数据字典树
export function getDictData(groupId, pdictCode) {
  return Request({
    url: `${dict}/dataDictionary/getDataGroup/${groupId}/${pdictCode}`,
    method: 'get',
  })
}

//等级
export function getdjOptions() {
  return Request({
    url: `${dict}/dataDictionary/findByGroupId/LSDJ`,
    method: 'get'
  })
}

//文件回显
export function fileInfo(data) {
  return Request({
    url: `${files}/file/findByIds?ids=${data}`,
    method: 'get',
  })
}