import request from '@/utils/require'
import { baseServer } from '@/api/index'


// 获取列表数据
export function companyList(data, page) {
    return request({
        url: `${baseServer}/haoliangyou/selectPageByEntity?pageNum=${page.pageNum}&pageSize=${page.pageSize}`,
        method: 'post',
        data: data
    })
}
//根据企业信用代码查询详情
export function detailInfo(id) {
    return request({
        url: `${baseServer}/haoliangyou/getById?id=${id}`,
        method: 'get'
    })
}
//修改
export function editData(data) {
    return request({
        url: `${baseServer}/haoliangyou/save`,
        method: 'post',
        data: data
    })
}

// 删除
export function deleteByIdAndQyxydm(id, qyxydm) {
    return request({
        url: `${baseServer}/haoliangyou/remove?id=${id}&qyxydm=${qyxydm}`,
        method: 'post'
    })
}

// 导出
export function exportData(qymc) {
    return request({
        url: `${baseServer}/haoliangyou/exportByEntity?qymc=${qymc}`,
        method: 'post',
        responseType: 'blob'
    })
}


