import request from '@/utils/require'
import requestFile from '@/utils/requireFile'

import { business, kjjg, main, dict } from '@/api/index'

// 分页列表
export function selectPageByEntity(data) {
    return request({
        url: `${business}/selectPageByEntity?pageNum=${data.pageNum}&pageSize=${data.pageSize}&pageType=${data.pageType}`,
        method: 'post',
        data: data
    })
}

//详情
export function selectById(fid) {
    return request({
        url: `${business}/selectById/${fid}`,
        method: 'get',
    })
}


//生成
export function create(data) {
    return request({
        url: `${business}/create_entrust_inspect`,
        method: 'put',
        data
    })
}

// 接收
export function update(data) {
    return request({
        url: `${business}/update_entrust_inspect`,
        method: 'put',
        data
    })
}


//上传质检报告
export function inspection(data, file) {
    return requestFile({
        url: `${business}/upload_quality_inspection?entrustInspectFid=${data.entrustInspectFid}&inspectAttachment=${data.inspectAttachment}`,
        method: 'post',
        data: file
    })
}


//提交质检
export function upspection(data) {
    return request({
        url: `${business}/upload_quality_inspection`,
        method: 'put',
        data: data
    })
}