import Request from '@/utils/request'
import { business, fileDownload} from '@/api/index'


/* --------------------------------------计划管理 Start---------------------*/
// 计划管理下发列表
export function findByPage(data, organizationVO) {
    return Request({
        url: `${business}/QualityPredictionPlanned/findByPage/${data.page}/${data.size}`,
        method: 'post',
        data: organizationVO
    })
}

// 计划管理下发删除
export function deleteData(ids) {
    return Request({
        url: `${business}/QualityPredictionPlanned/deletes`,
        method: 'post',
        data: ids
    })
}
// 计划管理下发保存
export function saveData(data) {
    return Request({
        url: `${business}/QualityPredictionPlanned/save`,
        method: 'post',
        data: data
    })
}


// 计划管理下发查看
export function showData(id) {
    return Request({
        url: `${business}/QualityPredictionPlanned/findById/${id}`,
        method: 'get'
    })
}


// 计划管理下发修改
export function updateData(data) {
    return Request({
        url: `${business}/QualityPredictionPlanned/update`,
        method: 'post',
        data: data
    })
}

// 计划管理下发--下发
export function updateState(data) {
    return Request({
        url: `${business}/QualityPredictionPlanned/updateState`,
        method: 'post',
        data: data
    })
}

// 计划管理下发预览
export function viewFile(fileId) {
    return Request({
        url: `${fileDownload}?id=${fileId}`,
        method: 'GET',
        responseType:'arraybuffer'
    })
}

// 计划文件名称
export function getFlieName(palnType) {
    return Request({
        url: `${business}/QualityPredictionPlanned/getFlieName/${palnType}`,
        method: 'post'
    })
}
/* ----------------------------------计划管理 end-----------------------*/
