import Request from '@/utils/request'
import { business} from '@/api/index'


/* --------------------------------------安全监测 Start---------------------*/
// 安全监测列表
export function findByPage(data, organizationVO) {
    return Request({
        url: `${business}/FoodStock/findByPage/${data.page}/${data.size}`,
        method: 'post',
        data: organizationVO
    })
}

// 安全监测删除
export function deleteData(ids, batch) {
    return Request({
        url: `${business}/FoodStock/deletes/${batch}`,
        method: 'post',
        data: ids
    })
}

// 安全监测保存
export function saveData(data) {
    return Request({
        url: `${business}/FoodStock/save`,
        method: 'post',
        data: data
    })
}
// 安全监测同步
export function getSampleInformation(data) {
    return Request({
        url: `${business}/FoodStock/getSampleInformation`,
        method: 'post',
        data: data
    })
}
// 安全监测查看
export function showData(id, type, batch) {
    return Request({
        url: `${business}/FoodStock/findById`,
        method: 'post',
        data: {"planId": id, "type": type, "batch": batch}
    })
}
// 安全监测档案查看
export function showDataFile(id, type) {
    return Request({
        url: `${business}/FoodStock/findById?id=${id}&type=${type}&zjda=zjda`,
        method: 'get'
    })
}
// 安全监测档案查看new
export function showDataFileAll(id, type, planFileName) {
    return Request({
        url: `${business}/FoodStock/allInformation`,
        method: 'post',
        data: {type: type, planFileName: planFileName}
    })
}
// 安全监测汇总查看
export function showDataSummary(data) {
    return Request({
        url: `${business}/FoodStock/getAll`,
        method: 'post',
        data: data
    })
}
// 安全监测修改
export function updateData(data) {
    return Request({
        url: `${business}/FoodStock/update`,
        method: 'post',
        data: data
    })
}

// 安全监测--上报
export function updateState(data) {
    return Request({
        url: `${business}/FoodStock/updateState`,
        method: 'post',
        data: data
    })
}
/* ----------------------------------安全监测 end-----------------------*/
// 统计图饼图
export function sampleNumber(year) {
    return Request({
        url: `${business}/FoodStock/sampleNumber/${year}`,
        method: 'get'
    })
}
// 统计图-柱状图-储存品质总代表数量
export function natureNumber(year) {
    return Request({
        url: `${business}/FoodStock/natureNumber/${year}`,
        method: 'get'
    })
}
// 统计图-柱状图-宜存率
export function suitableDeposit(year) {
    return Request({
        url: `${business}/FoodStock/suitableDeposit/${year}`,
        method: 'get'
    })
}
// 检测结果
export function queryStatistics(type, year) {
    return Request({
        url: `${business}/FoodStock/allInformation`,
        method: 'post',
        data: {type: type, years: year}
    })
}
