import Request from '@/utils/request'
import { business } from '@/api/index'


/* --------------------------------------质检机构管理 Start---------------------*/
// 机构信息分页
export function findByPage(data, organizationVO) {
    return Request({
        url: `${business}/Organization/findByPage/${data.page}/${data.size}`,
        method: 'post',
        data: organizationVO
    })
}
// 机构信息删除
export function deleteData(ids) {
    return Request({
        url: `${business}/Organization/deletes`,
        method: 'post',
        data: ids
    })
}
// 机构信息保存
export function saveData(data) {
    return Request({
        url: `${business}/Organization/save`,
        method: 'post',
        data: data
    })
}
// 机构信息查看
export function showJgxxData(id) {
    return Request({
        url: `${business}/Organization/findById/${id}`,
        method: 'get'
    })
}
// 机构信息修改
export function updateData(data) {
    return Request({
        url: `${business}/Organization/update`,
        method: 'post',
        data: data
    })
}
/* --------------------------------------机构信息 end---------------------*/
// 人员信息保存
export function savePerson(data) {
    return Request({
        url: `${business}/PersonnelManagement/save`,
        method: 'post',
        data: data
    })
}
// 人员信息查看
export function showPersonData(id) {
    return Request({
        url: `${business}/PersonnelManagement/findById/${id}`,
        method: 'get'
    })
}
// 人员信息修改
export function updatePerson(data) {
    return Request({
        url: `${business}/PersonnelManagement/update`,
        method: 'post',
        data: data
    })
}
/* --------------------------------------人员信息 end---------------------*/
// 仪器设备保存
export function saveEquipment(data) {
    return Request({
        url: `${business}/Equipment/save`,
        method: 'post',
        data: data
    })
}
// 仪器设备信息查看
export function showEquipmentData(id) {
    return Request({
        url: `${business}/Equipment/findById/${id}`,
        method: 'get'
    })
}
// 仪器设备修改
export function updateEquipment(data) {
    return Request({
        url: `${business}/Equipment/update`,
        method: 'post',
        data: data
    })
}
/* --------------------------------------仪器设备 end---------------------*/
// 检验参数保存
export function saveTestParameters(data) {
    return Request({
        url: `${business}/TestParameters/save`,
        method: 'post',
        data: data
    })
}
// 检验参数信息查看
export function showTestParametersData(id) {
    return Request({
        url: `${business}/TestParameters/findById/${id}`,
        method: 'get'
    })
}
// 检验参数修改
export function updateTestParameters(data) {
    return Request({
        url: `${business}/TestParameters/update`,
        method: 'post',
        data: data
    })
}


//仪器设备信息
export function equipmentFindByPage(data, param) {
    return Request({
        url: `${business}/Equipment/findByPage/${param.page}/${param.size}`,
        method: 'post',
        data: data
    })
}


//人员信息分页
export function personnelFindByPage(data, param) {
    return Request({
        url: `${business}/PersonnelManagement/findByPage/${param.page}/${param.size}`,
        method: 'post',
        data: data
    })
}


/* --------------------------------------检验参数 end---------------------*/




/* ----------------------------------质检机构管理 end-----------------------*/
