import { business, businessPop, abnormalsituation, libraryName, abnormalsituationWarehouse, getInfoApi, User, dict, files, baseServer } from '@/api/'
import request from '@/utils/require'

// 查询文件信息集合
export function getFileInfo(id) {
    return request({
        url: `${files}/file/findByAll/${id}`,
        method: 'get'
    })
}
//委托编号
export function getWtbh(zjbh) {
    return request({
        url: `${businessPop}/entrust/queryMAXWtbh/?zjbh=${encodeURI(zjbh)}`,
        method: 'get'
    })
}
//强检 强检委托查询列表数据
export function showDataLists(VO, data) {
    return request({
        url: `${businessPop}/entrust/page/?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: VO
    })
}
//质量委托 保存(新增保存)

export function saveData(VO) {
    return request({
        url: `${businessPop}/entrust/`,
        method: 'post',
        data: VO
    })
}

//质量委托 更新

export function updateData(VO) {
    return request({
        url: `${businessPop}/entrust/`,
        method: 'put',
        data: VO
    })
}
//强检
export function subDataStrong(VO) {
    return request({
        url: `${businessPop}/entrust/sub`,
        method: 'put',
        data: VO
    })
}
//质量委托 提交委托

export function subData(VO) {
    return request({
        url: `${businessPop}/entrust/subQt`,
        method: 'put',
        data: VO
    })
}

//质量委托 删除

export function deleteData(VO) {
    return request({
        url: `${businessPop}/entrust/`,
        method: 'delete',
        data: VO
    })
}

//质量委托 根据强检委托编号查询委托信息

export function getData(VO) {
    return request({
        url: `${businessPop}/entrust/?code=${VO.id}`,
        method: 'get',
        data: VO
    })
}
export function getDataNew(VO) {
    return request({
        url: `${businessPop}/entrust/entrustQt/`,
        method: 'post',
        data: VO
    })
}
// 、、、、、、、、、、、、、、、、、、、、、、、
//强检 强检仓号查询列表数据
export function strongInspectionShowDataLists(ssyqmc, sscfbhArr, lspzbmArr, data) {
    return request({
        url: `${businessPop}/strongInspection/foodStocksPage/?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: {
            zjbh: '强检',
            wtdw: ssyqmc,
            ch: sscfbhArr,
            pz: lspzbmArr,
        }
    })
}
export function strongInspectionShowDataListsOther(ssyqmc, sscfbhArr, lspzbmArr, data) {
    return request({
        url: `${businessPop}/strongInspection/foodStocksPage/?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: {
            zjbh: '其它',
            wtdw: ssyqmc,
            ch: sscfbhArr,
            pz: lspzbmArr,
        }
    })
}

//强检 强检仓号查询委托信息

export function strongInspectionGetData(VO) {
    return request({
        url: `${businessPop}/strongInspection/foodStocks/?code=${VO.kcxxid}`,
        method: 'get',
        data: VO
    })
}
// 、、、、、、、、、、、、、、、、、、、、、、、
//强检 质检结果查询 页接口开始
//强检 强检仓号查询列表数据
export function resultQueryShowDataLists(VO, data) {
    return request({
        url: `${businessPop}/strongInspection/qualityResults/page/?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: VO
    })
}

//强检 强检仓号查询委托信息

export function resultQueryGetData(VO) {
    return request({
        url: `${businessPop}/strongInspection/qualityResults/?code=${VO}`,
        method: 'get',
        // data: VO
    })
}

// 、、、、、、、、、、、、、、、、、、、、、、、
//强检 质检结果趋势图
export function trendChartShowDataLists(VO) {
    return request({
        url: `${businessPop}/strongInspection/qualityResults/list`,
        method: 'post',
        data: VO
    })
}
//粮食库存列表（质检结果趋势图这块儿的仓号集合）
export function warehouseNum(data) {
    return request({
        url: `${baseServer}/foodStocksList`,
        method: 'post',
        data: data
    })
}
// 抽查方案分页
export function checkSchemesList(data, organizationVO) {
    return Request({
        url: `${business}/checkSchemes?page=${data.page}&size=${data.size}&t=${new Date()}`,
        method: 'post',
        data: organizationVO
    })
}



// 更新 
export function changeandupdate(VO) {
    return request({
        url: `${businessPop}/inspectionresult-server/updateState`,
        method: 'PUT',
        data: VO
    })
}

// 异常数据汇分页--公司
export function abnormityListcompany(VO) {
    return request({
        url: `${abnormalsituation}/AbnormalDataSummary/getAbnormalDataSummaryCompany/${VO.pageNum}/${VO.pageSize}`,
        method: 'post',
        data: VO.obj
    })
}
// 异常数据汇分页--承储库
export function abnormityList(VO) {
    return request({
        url: `${abnormalsituation}/AbnormalDataSummary/getAbnormalDataSummary/${VO.pageNum}/${VO.pageSize}`,
        method: 'post',
        data: VO.obj
    })
}

// 异常数据汇总删除
export function abnormityListDelete(VO) {
    return request({
        url: `${abnormalsituation}/AbnormalDataSummary/deleteDailyCheckResultQJVO`,
        method: 'put',
        data: VO
    })
}

//异常数据汇总详情  
export function abnormityListDetails(VO) {
    return request({
        url: `${abnormalsituation}/AbnormalDataSummary/selectDailyCheckResultQJVO/${VO.jgId}`,
        method: 'get',
        data: VO
    })
}
//异常整改通知列表
export function zgNoticeList(VO) {
    return request({
        url: `${abnormalsituation}/quality/manager/abnormal/selectPageByEntity?pageNum=${VO.pageNum}&pageSize=${VO.pageSize}`,
        method: 'post',
        data: VO.obj
    })
}
// 异常整改通知(查看详情)
export function zgNoticeDetail(VO) {
    return request({
        url: `${abnormalsituation}/quality/manager/abnormal/selectById`,
        method: 'post',
        data: VO
    })
}
// 异常整改通知(保存)
export function zgNoticeSave(VO) {
    return request({
        url: `${abnormalsituation}/quality/manager/abnormal/updateByEntitySelective`,
        method: 'post',
        data: VO
    })
}
// 异常整改通知---更改状态
export function zgChangeStatus(VO) {
    return request({
        url: `${abnormalsituation}/quality/manager/abnormal/updateStatusByEntity`,
        method: 'post',
        data: VO
    })
}
// 异常整改通知--删除
export function zgNoticeDel(VO) {
    return request({
        url: `${abnormalsituation}/quality/manager/abnormal/deleteByEntity`,
        method: 'post',
        data: VO
    })
}
//异常 整改通知单新增
export function rectificationadd(VO) {
    return request({
        url: `${abnormalsituation}/inspectionresult-server/rectificationNotice`,
        method: 'post',
        data: VO
    })
}

//异常 整改通知单更新
export function abnormityListUptate(VO) {
    return request({
        url: `${abnormalsituation}/inspectionresult-server/rectificationNotice`,
        method: 'put',
        data: VO
    })
}

//异常 整改反馈单新增   
export function feedbackListadd(VO) {
    return request({
        url: `${abnormalsituation}/inspectionresult-server/rectificationFeedback`,
        method: 'post',
        data: VO
    })
}

//异常 整改反馈单更新   
export function feedbackListUptate(VO) {
    return request({
        url: `${abnormalsituation}/inspectionresult-server/rectificationFeedback`,
        method: 'put',
        data: VO
    })
}

//异常 整改验收单新增   
export function acceptanceCheckListadd(VO) {
    return request({
        url: `${abnormalsituation}/inspectionresult-server/rectificationAcceptance`,
        method: 'post',
        data: VO
    })
}

//异常 整改验收单更新 
export function acceptanceCheckListUptate(VO) {
    return request({
        url: `${abnormalsituation}/inspectionresult-server/rectificationAcceptance`,
        method: 'put',
        data: VO
    })
}
//字典查询
export function dictData(groupId) {
    return request({
        url: `${dict}/dataDictionary/findByGroupId/${groupId}`,
        method: 'get',
    })
}


//异常数据汇总库点名称
export function nameofwarehouse(VO) {
    return request({
        url: `${User}/org/getTreeData`,
        method: 'get',
        data: VO
    })
}


//异常数据汇总检查人
export function InspectorList(VO) {
    return request({
        url: `${User}/org/getUserInfo`,
        method: 'post',
        data: VO
    })
}

// 获取库点信息列表(取库点名称)
export function libraryList(VO) {
    return request({
        url: `${libraryName}/sinkpointList`,
        method: 'post',
        data: VO
    })
}



//测试接口

//日常检查结果 ---状态
export const dailyCheckResultStatus = {
    toBeCheck: {
        name: "草稿",
        value: "0"       ////0草稿 1通知待盖章 2通知已下发 3措施已提交 4验收不通过 5验收待盖章 6验收已下发 7验收通过 8待提交 9措施待提交
    },
    toBeSealJcdw: {
        name: "通知带盖章",
        value: "1"
    },
    toBeSubmit: {
        name: "通知已下发",
        value: "2"
    },
    toBeAbarbeitung: {
        name: "措施已提交",
        value: "3"
    },
    toBeReview: {
        name: "验收不通过",
        value: "4"
    },
    reviewed: {
        name: "验收待盖章",
        value: "5"
    },
    hasRefused: {
        name: "验收已下发",
        value: "6"
    },
    toBeSealBjdw: {
        name: "验收通过",
        value: "7"
    },
    ultraTime: {
        name: "待提交",
        value: "8"
    },
    refused: {
        name: "措施待提交",
        value: "9"
    }
}

// 获取企业列表
export function companyList(VO) {
    return request({
        url: `${libraryName}/companyList`,
        method: 'post',
        data: VO
    })
}

// 获取仓房列表
export function cangHouseList(VO) {
    return request({
        url: `${libraryName}/warehouseList`,
        method: 'post',
        data: VO
    })
}