import Request from '@/utils/request'
import { business,libraryName } from '@/api/index'


/* --------------------------------------抽样方案 Start---------------------*/
// 抽查方案分页
export function checkSchemesList(data, organizationVO) {
    return Request({
        url: `${business}/checkSchemes?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: organizationVO
    })
}
// 抽查方案删除
export function deleteData(ids) {
    return Request({
        url: `${business}/checkScheme`,
        method: 'delete',
        data: ids
    })
}
// 放心粮油删除
export function pointPlansDel(ids) {
    return Request({
        url: `${business}/pointPlans`,
        method: 'delete',
        data: ids
    })
}

// 抽查方案保存
export function saveData(data) {
    return Request({
        url: `${business}/checkScheme`,
        method: 'post',
        data: data
    })
}

// 抽查方案查看
export function showData(data) {
    return Request({
        url: `${business}/checkSchemexq`,
        method: 'post',
        data: data
    })
}
// 抽查方案修改
export function updateData(data) {
    return Request({
        url: `${business}/checkScheme`,
        method: 'put',
        data: data
    })
}
// 抽查方案发布
export function releaseState(id) {
    return Request({
        url: `${business}/checkSchemeState/${id}`,
        method: 'put',
    })
}

//确认接收
export function updateCkjl(data) {
    return Request({
        url: `${business}/updateCkjl`,
        method: 'post',
        data: data
    })
}

//查看情况
export function findCcfa(data) {
    return Request({
        url: `${business}/findCcfa`,
        method: 'post',
        data: data
    })
}

// 获取企业列表
export function getCompanyList(data) {
    return Request({
        url: `${libraryName}/companyList`,
        method: 'post',
        data: data
    })
}

// 获取企业列表
export function getFXCompanyList(data) {
    return Request({
        url: `${business}/companyPage/1/1000`,
        method: 'post',
        data: data
    })
}



/* ----------------------------------抽样方案 end-----------------------*/
