import Request from '@/utils/request'
import { business, dict } from '@/api/index'


/* --------------------------------------抽样方案 Start---------------------*/
// 布点计划分页
export function pointPlansList(data, organizationVO) {
    return Request({
        url: `${business}/pointPlans?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: organizationVO
    })
}
//方案标题
export function getProgramme() {
    return Request({
        url: `${business}/getProgramme`,
        method: 'get'
    })
}
// 旗县
export function qyCounty(code) {
    return Request({
        url: `${dict}/dataDictionary/getSubDataDictionarysByDictCodeId/${code}`,
        method: 'get'
    })
}
// 布点计划删除
export function deleteData(ids) {
    return Request({
        url: `${business}/pointPlans`,
        method: 'delete',
        data: ids
    })
}

// 布点计划保存
export function saveData(data) {
    return Request({
        url: `${business}/pointPlan`,
        method: 'post',
        data: data
    })
}

// 布点计划查看
export function showData(id) {
    return Request({
        url: `${business}/pointPlan/${id}`,
        method: 'get'
    })
}
//布点计划修改
export function updateData(data) {
    return Request({
        url: `${business}/pointPlan`,
        method: 'put',
        data: data
    })
}

// 结果上报列表
export function findByPage(data, organizationVO) {
    return Request({
        url: `${business}/checkSchemesZj?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: organizationVO
    })
}
// 结果上报查看
export function showDataZjxq(data) {
    return Request({
        url: `${business}/checkSchemesZjXq`,
        method: 'post',
        data: data
    })
}
/* ----------------------------------抽样方案 end-----------------------*/
