import { business, businessPop,abnormalsituation } from '@/api/'
import request from '@/utils/require'
//查询列表数据
export function showDataLists(VO, data) {
    return request({
        url: `${business}/strongInspection/jyzj?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: 'post',
        data: VO
    })
}
export function showDataListsNew(VO, data) {
    return request({
        url: `${business}/strongInspection/rkjyzj?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: 'post',
        data: VO
    })
}

//提交委托
export function subData(VO) {
    return request({
        url: `${business}/strongInspection/jyzj/sub`,
        method: 'put',
        data: VO
    })
}

// 委托查看
export function showDataZjxq(data) {
    return request({
        url: `${business}/strongInspection/jyzjXq`,
        method: 'post',
        data: data
    })
}



//质量委托 保存(新增保存)

export function saveData(VO) {
    return request({
        url: `${businessPop}/entrust/`,
        method: 'post',
        data: VO
    })
}

//质量委托 更新

export function updateData(VO) {
    return request({
        url: `${businessPop}/entrust/`,
        method: 'put',
        data: VO
    })
}



//质量委托 删除

export function deleteData(VO) {
    return request({
        url: `${businessPop}/entrust/?id=${VO.id}`,
        method: 'delete',
        data: VO
    })
}

//质量委托 根据强检委托编号查询委托信息

export function getData(VO) {
    return request({
        url: `${businessPop}/entrust/?code=${VO.wtbh}`,
        method: 'get',
        data: VO
    })
}


//强检 强检仓号查询委托信息

export function strongInspectionGetData(VO) {
    return request({
        url: `${businessPop}/strongInspection/foodStocks/?code=${VO.kcxxid}`,
        method: 'get',
        data: VO
    })
}
// 、、、、、、、、、、、、、、、、、、、、、、、
//强检 质检结果查询 页接口开始
//强检 强检仓号查询列表数据
export function resultQueryShowDataLists(VO, data) {
    return request({
        url: `${businessPop}/strongInspection/qualityResults/page/?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: VO
    })
}

//强检 强检仓号查询委托信息

export function resultQueryGetData(VO) {
    return request({
        url: `${businessPop}/strongInspection/qualityResults/?code=${VO.zjxxid}`,
        method: 'get',
        data: VO
    })
}

// 、、、、、、、、、、、、、、、、、、、、、、、
//强检 质检结果趋势图 页接口开始
export function trendChartShowDataLists(VO) {
    return request({
        url: `${businessPop}/strongInspection/qualityResults/list`,
        method: 'post',
        data: VO
    })
}


 // 抽查方案分页
export function checkSchemesList(data, organizationVO) {
    return Request({
        url: `${business}/checkSchemes?page=${data.page}&size=${data.size}`,
        method: 'post',
        data: organizationVO
    })
}



// 更新 
export function changeandupdate(VO){
    return request({
        url: `${businessPop}/inspectionresult-server/updateState`,
        method: 'PUT',
        data: VO
    })
}

// 异常数据汇总查询--公司
export function abnormityListcompany(VO,data){
    return request({
        url: `${abnormalsituation}/AbnormalDataSummary/getAbnormalDataSummaryCompany/${data.page}/${data.size}`,
        method: 'post',
        data: VO
    })
}  ///AbnormalDataSummary/getAbnormalDataSummaryCompany/{pageNum}/{pageSize}

//异常  整改通知单新增
export function rectificationadd(VO){
    return request({        
        url: `${abnormalsituation}/inspectionresult-server/rectificationNotice`,
        method: 'post',
        data: VO
    })
}

// 异常数据汇总查询--承储库
export function abnormityList(VO,data){
    return request({
        url: `${abnormalsituation}/AbnormalDataSummary/getAbnormalDataSummary/${data.page}/${data.size}`,
        method: 'post',
        data: VO
    })
}

// 异常数据汇总删除
export function abnormityListDelete(VO){
    return request({
        url: `${abnormalsituation}/AbnormalDataSummary/deleteDailyCheckResultQJVO`,
        method: 'put',
        data: VO
    })
}
//责令整改通知单 更新
export function abnormityListUptate(VO){
    return request({
        url: `${abnormalsituation}/inspectionresult-server/rectificationNotice`,
        method: 'put',
        data: VO
    })
}


//测试接口

//日常检查结果 ---状态
export const dailyCheckResultStatus = {
    toBeCheck: {
        name: "草稿",
        value: "0"       ////0草稿 1通知待盖章 2通知已下发 3措施已提交 4验收不通过 5验收待盖章 6验收已下发 7验收通过 8待提交 9措施待提交
    },
    toBeSealJcdw: {
        name: "通知带盖章",
        value: "1"
    },
    toBeSubmit: {
        name: "通知已下发",
        value: "2"
    },
    toBeAbarbeitung: {
        name: "措施已提交",
        value: "3"
    },
    toBeReview: {
        name: "验收不通过",
        value: "4"
    },
    reviewed: {
        name: "验收待盖章",
        value: "5"
    },
    hasRefused: {
        name: "验收已下发",
        value: "6"
    },
    toBeSealBjdw: {
        name: "验收通过",
        value: "7"
    },
    ultraTime: {
        name: "待提交",
        value: "8"
    },
    refused: {
        name: "措施待提交",
        value: "9"
    }
}