import Vue from 'vue'
import singleSpaVue from 'single-spa-vue';
import App from './App.vue'
import store from './store'
import router from './router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/css/style.css'
import './assets/css/style.scss'
import './assets/iconfont/iconfont.css'
// import '@/permission'
Vue.use(ElementUI)
import utils from './utils/index'
Vue.prototype.$WebSeal = WebSeal
Vue.prototype.$GetSealData = GetSealData
Vue.prototype.$GetWebObj = GetWebObj
Vue.prototype.$SetSealDataEx = SetSealDataEx
Vue.prototype.$SetSealData = SetSealData
Vue.prototype.$ShowSeal = ShowSeal
Vue.prototype.$utils = utils
import './utils/G_websign.js'
import { WebSeal, GetSealData, GetWebObj, SetSealDataEx, SetSealData, ShowSeal } from '@/utils/websign_main.js'
import './utils/G_websign.css'

import { signature, preservSignature, signatureOnload } from '@/utils/H5Signature.js'
import './utils/layui.js'
import './utils/jquery-2.2.0.min.js'
import './utils/jquery.jsonp.js'
//签章new
Vue.prototype.$signature = signature
Vue.prototype.$preservSignature = preservSignature
Vue.prototype.$signatureOnload = signatureOnload

Vue.config.productionTip = false;

const vueLifecycles = singleSpaVue({
    Vue,
    appOptions: {
        el: '#quality',
        router,
        store,
        render: h => h(App)
    }
});

export const bootstrap = [
    vueLifecycles.bootstrap,
];

export function mount(props) {
    createDomElement();
    return vueLifecycles.mount(props);
}

export const unmount = [
    vueLifecycles.unmount,
];

function createDomElement() {
    // Make sure there is a div for us to render into
    let el = document.getElementById('quality');

    if (!el) {
        let content = document.getElementById('content');
        el = document.createElement('div');
        el.id = 'quality';
        content.appendChild(el);
    }
    return el;
}