export default {
  goodTime(str) {
    let now = new Date().getTime()
    let oldTime = new Date(str).getTime()
    let difference = now - oldTime
    let result = ''
    let minute = 1000 * 60
    let hour = minute * 60
    let day = hour * 24
    let month = day * 30
    let year = month * 12
    let _year = difference / year
    let _month = difference / month
    let _week = difference / (7 * day)
    let _day = difference / day
    let _hour = difference / hour
    let _min = difference / minute

    if (_year >= 1) {
      result = '发表于 ' + ~~(_year) + ' 年前'
    } else if (_month >= 1) {
      result = '发表于 ' + ~~(_month) + ' 个月前'
    } else if (_week >= 1) {
      result = '发表于 ' + ~~(_week) + ' 周前'
    } else if (_day >= 1) {
      result = '发表于 ' + ~~(_day) + ' 天前'
    } else if (_hour >= 1) {
      result = '发表于 ' + ~~(_hour) + ' 个小时前'
    } else if (_min >= 1) {
      result = '发表于 ' + ~~(_min) + ' 分钟前'
    } else {
      result = '刚刚'
    }
    return result
  }
}

export function dateFormat(time) {
  var date = new Date(time);
  var year = date.getFullYear();
  var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
  var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
  var hours = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
  var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
  var seconds = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
  return `${year}-${month}-${day}`
}

export function dateTimeFormat(time) {
  var date = new Date(time);
  var year = date.getFullYear();
  var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
  var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
  var hours = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
  var minutes = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
  var seconds = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
  return `${year}-${month}-${day}` + ` ` + `${hours}:${minutes}:${seconds}`
}

export function resetDate(vm, key) {
  vm[key] = vm.$options.data()[key];
}

export function getNowDate() {
  var date = new Date()
  var year = date.getFullYear();
  var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
  var day = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
  return year + '-' + month + '-' + day
}

export function getYearList(startYear) {
  let myDate = new Date();
  let thisYear = myDate.getFullYear();  // 获取当年年份
  let Section = thisYear - startYear;  // 声明一个变量 获得当前年份至想获取年份差 eg.2008
  let arrYear = []; // 声明一个空数组 把遍历出的年份添加到数组里
  for (let i = 0; i <= Section; i++) {
    let year = thisYear--
    arrYear.push(year)
  }
  return arrYear
}

export function getCodeName(code, list, codeName, lableName) {
  let name = ''
  list.forEach(item => {
    if (item[codeName] == code) {
      name = item[lableName]
    }
  })
  return name
}

//树形品种处理
let str = ""
export function getTreeVal(data, val) {
  // 循环遍历json数据
  if (data.length > 0) {

    for (var i = 0; i < data.length; i++) {
      if (data[i].subDataDictionarys == null) {
        if (data[i].dictCode == val) {
          // console.log(data[i].dictName)
          str = data[i].dictName;

          // break;
          // return str;
          // throw str;
        }
      } else {
        // subDataDictionarys 递归调用 本方法
        getTreeVal(data[i].subDataDictionarys, val);

      }
    }
  } else {
    if (data.dictCode == val) {
      str = data.dictName;

      // throw str;
      // return str;
    }
  }
  // console.log(str)
  return str;
}